program fft_test

  use fft_work
  integer, parameter :: n=4
  real x(0:n-1)
  real x2(0:n-1)
  complex z(0:n/2)
  real, dimension(n) :: table, work
  integer k

  x(0)=1.0
  do k=1,n-1
     x(k)=0
  enddo

  call scfft(1,n,1.0,x,z,table,work,0)
  call csfft(-1,n,1.0/n,z,x2,table,work,0)

  print *, "x =", x
  print *, "z =", z
  print *, "x2=", x2

end program fft_test

